Bug 1318344 - BPMN Process with swimlane created from business-central has been distorted while opening in JBDS
Summary: BPMN Process with swimlane created from business-central has been distorted w...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Tihomir Surdilovic
QA Contact: Jozef Marko
URL:
Whiteboard:
Depends On:
Blocks: 1322250
TreeView+ depends on / blocked
 
Reported: 2016-03-16 15:16 UTC by Suresh Pritmani
Modified: 2023-09-14 03:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1322250 (view as bug list)
Environment:
Last Closed: 2020-03-27 19:44:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Process Created in Business Central (26.32 KB, application/xml)
2016-03-16 15:16 UTC, Suresh Pritmani
no flags Details

Description Suresh Pritmani 2016-03-16 15:16:26 UTC
Created attachment 1137092 [details]
Process Created in Business Central

Description of problem:
I have create BPMN Process which contains swimlane using business-central. And tried to open the same process via JBDS but it got distorted. And if same process is being created without swimlane than it's working fine.

Version-Release number of selected component (if applicable):
BPM Suite 6.2.0

How reproducible:

Steps to Reproduce:
1. Create a business process using swimlane.
2. Save the process and try to open it in JBDS 8 / JBDS 9
3. After opening the process, the arrows got distorted.


Actual results:
The process, which is being created using Business Central, is getting distorted while trying to open in JBDS.


Expected results:
The process should not be distorted and it should be opened with the same format as it is being saved in business-central.


Additional info:
If the swimlane has been removed than the process is not get distorted. I have added sample business process which was created in business central.

Comment 2 Robert (Bob) Brodt 2016-03-17 11:21:03 UTC
This is a problem with the process Designer in business central: the attachment points and bend points are offset relative to the Lane location instead of being absolute, diagram-relative locations. According to the BPMN 2.0 specification, connection anchor points and bend points are absolute coordinates.

Comment 3 Tihomir Surdilovic 2016-04-20 16:55:48 UTC
Master PR: https://github.com/droolsjbpm/jbpm-designer/pull/241

Comment 7 Red Hat Bugzilla 2023-09-14 03:19:35 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.